summaryrefslogtreecommitdiffstats
path: root/.redhat-ci.sh
diff options
context:
space:
mode:
authorJonathan Lebon <jlebon@redhat.com>2017-04-25 15:36:37 -0400
committerJonathan Lebon <jlebon@redhat.com>2017-04-25 16:04:37 -0400
commit701ee1badf31fe9a2504bb53563c76da1fbdc880 (patch)
tree16768b85e599d4ee0489a0443cd70dbe5e46d2c4 /.redhat-ci.sh
parentd4d143778596087175f1bd5339a1bed1288e8520 (diff)
downloadopenshift-701ee1badf31fe9a2504bb53563c76da1fbdc880.tar.gz
openshift-701ee1badf31fe9a2504bb53563c76da1fbdc880.tar.bz2
openshift-701ee1badf31fe9a2504bb53563c76da1fbdc880.tar.xz
openshift-701ee1badf31fe9a2504bb53563c76da1fbdc880.zip
.redhat-ci.yml: also publish journal logs
- Update to only target v3.6.0-alpha.1 (will open another PR to target the newly released 1.5.0 on the 1.5 branch). - Move test script to its own file. - Upload journal logs on failure.
Diffstat (limited to '.redhat-ci.sh')
-rwxr-xr-x.redhat-ci.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/.redhat-ci.sh b/.redhat-ci.sh
new file mode 100755
index 000000000..29d64e4d5
--- /dev/null
+++ b/.redhat-ci.sh
@@ -0,0 +1,29 @@
+#!/bin/bash
+set -xeuo pipefail
+
+# F25 currently has 2.2.1, so install from pypi
+pip install ansible==2.2.2.0
+
+# do a simple ping to make sure the nodes are available
+ansible -vvv -i .redhat-ci.inventory nodes -a 'rpm-ostree status'
+
+upload_journals() {
+ mkdir journals
+ for node in master node1 node2; do
+ ssh ocp-$node 'journalctl --no-pager || true' > journals/ocp-$node.log
+ done
+}
+
+trap upload_journals ERR
+
+# run the actual installer
+ansible-playbook -vvv -i .redhat-ci.inventory playbooks/byo/config.yml
+
+# run a small subset of origin conformance tests to sanity
+# check the cluster NB: we run it on the master since we may
+# be in a different OSP network
+ssh ocp-master docker run --rm --net=host --privileged \
+ -v /etc/origin/master/admin.kubeconfig:/config fedora:25 sh -c \
+ '"dnf install -y origin-tests && \
+ KUBECONFIG=/config /usr/libexec/origin/extended.test --ginkgo.v=1 \
+ --ginkgo.noColor --ginkgo.focus=\"Services.*NodePort|EmptyDir\""'